routes/web.php
<?php
date_default_timezone_set('Asia/Jakarta');
/* Route For Main View */
Route::get('/', function () {
    return redirect('/login');
});

/* Route For Auth */
Auth::routes();

/* Route For Main Menu */
Route::group(
    [
        'prefix' => 'admin',
        'middleware' => ['auth', 'role:admin|member'],
    ],
    function () {
        //Route Home
        Route::get('/home', 'admin\HomeController@index');
        
        //Route Change Password
        Route::get('change_password', [
            'as' => 'change_password',
            'uses' => 'Admin\UsersController@changePassword',
        ]);
        Route::post('store_password', [
            'as' => 'store_password',
            'uses' => 'Admin\UsersController@storeNewPassword',
        ]);

    }
);

Route::group(
    [
        'prefix' => 'admin',
        'middleware' => ['auth', 'role:admin'],
    ],
    function () {
        //Route Resource        
        Route::resource('master/users', 'Admin\UsersController');
        Route::resource('master/lapangan', 'Admin\LapanganController');
        Route::resource('master/harga', 'Admin\HargaController');

        //Route Booking
        Route::get('transaksi/booking/create/{date}', [
            'as' => 'booking.create',
            'uses' => 'Admin\BookingController@create',
        ]);

        Route::post('transaksi/booking/form_booking', [
            'as' => 'booking.form_booking',
            'uses' => 'Admin\BookingController@formBooking',
        ]);

        Route::post('transaksi/booking_list/form_booking_edit', [
            'as' => 'booking.form_booking_edit',
            'uses' => 'Admin\BookingController@formBookingEdit',
        ]);

        Route::post('transaksi/booking/store', [
            'as' => 'booking.store',
            'uses' => 'Admin\BookingController@store',
        ]);

        Route::put('transaksi/booking_list/update/{booking_id}', [
            'as' => 'booking.update',
            'uses' => 'Admin\BookingController@update',
        ]);

        Route::get('transaksi/booking_list', [
            'as' => 'booking.index',
            'uses' => 'Admin\BookingController@index',
        ]);

        Route::get('transaksi/booking_list/{booking_id}/edit', [
            'as' => 'booking.edit',
            'uses' => 'Admin\BookingController@edit',
        ]);

        Route::delete('transaksi/booking/destroy/{booking_id}', [
            'as' => 'booking.destroy',
            'uses' => 'Admin\BookingController@destroy',
        ]);

        //Route Tagihan
        Route::get('transaksi/tagihan', [
            'as' => 'tagihan.index',
            'uses' => 'Admin\PembayaranController@index',
        ]);

        Route::get('transaksi/tagihan/{user_id}/detail', [
            'as' => 'tagihan.detail',
            'uses' => 'Admin\PembayaranController@detailTagihan',
        ]);

        Route::post('transaksi/store', [
            'as' => 'tagihan.store',
            'uses' => 'Admin\PembayaranController@store',
        ]);

        //Route Pembayaran
        Route::get('pembayaran/laporan/{tahun}', [
            'as' => 'pembayaran.laporan',
            'uses' => 'Admin\PembayaranController@laporanPembayaran',
        ]);

        Route::get('pembayaran/laporan/{user_id}/{tahun}/detail', [
            'as' => 'pembayaran.detail',
            'uses' => 'Admin\PembayaranController@detailPembayaran',
        ]);

        Route::post('pembayaran/koreksi', [
            'as' => 'pembayaran.koreksi',
            'uses' => 'Admin\PembayaranController@koreksi',
        ]);

        Route::get('pembayaran/chart/{tahun}', [
            'as' => 'pembayaran.chart',
            'uses' => 'Admin\PembayaranController@chart',
        ]);

        //Last Record Harga
        Route::get('last_record_harga/{lapangan_id}/{hari}', 'Admin\HargaController@lastRecord');

    }
);


Route::get('auth/verify/{token}', 'Auth\RegisterController@verify');
Route::get('auth/send-verification', 'Auth\RegisterController@sendVerification');

resources/views/admin/layouts/_flash.blade.php
@if (session()->has('flash_notification.message'))
<div class="alert alert-{{ session()->get('flash_notification.level') }}" role="alert">
    <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">×</span><span
            class="sr-only">Close</span></button>
    {!! session()->get('flash_notification.message') !!}
</div>
@endif

resources/views/admin/layouts/_modal.blade.php
<div class="modal" id="modal_basic" tabindex="-1" role="dialog" aria-labelledby="defModalHead" aria-hidden="true"
    style="display: none;">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span><span
                        class="sr-only">Close</span></button>
                <h4 class="modal-title" id="defModalHead">Basic Modal</h4>
            </div>
            <div class="modal-body">
                Some content in modal example
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>

resources/views/admin/layouts/_notif.blade.php
<button id="btn-c" style="display:none" class="btn btn-default mb-control" data-box="#modal-confirm"></button>
<div class="message-box message-box-warning animated fadeIn" id="modal-confirm">
	<div class="mb-container">
		<div class="mb-middle">
			<div class="mb-title">
				<span class="fa fa-warning"></span> Confirmation</div>
			<div class="mb-content">
				<p id="message-btn-c"></p>
			</div>
			<div class="mb-footer">
				<button id="yes-modal-confirm" class="btn btn-success btn-lg mb-control-close">Yes</button>
				<button onclick="resetModal()" class="btn btn-default btn-lg mb-control-close">No</button>
			</div>
		</div>
	</div>
</div>

<button id="btn-s" style="display:none" class="btn btn-default mb-control" data-box="#message-box-success"></button>
<div class="message-box message-box-success animated fadeIn" id="message-box-success">
	<div class="mb-container">
		<div class="mb-middle">
			<div class="mb-title">
				<span class="fa fa-check"></span> Success </div>
			<div class="mb-content">
				<p id="message-btn-s"></p>
			</div>
			<div class="mb-footer">
				<button onclick="resetModal()" class="btn btn-default btn-lg pull-right mb-control-close">Close</button>
			</div>
		</div>
	</div>
</div>

<button id="btn-e" style="display:none" class="btn btn-default mb-control" data-box="#message-box-danger"></button>
<div class="message-box message-box-danger animated fadeIn" data-sound="fail" id="message-box-danger">
	<div class="mb-container">
		<div class="mb-middle">
			<div class="mb-title">
				<span class="fa fa-times"></span> Error </div>
			<div class="mb-content">
				<p id="message-btn-e"></p>
			</div>
			<div class="mb-footer">
				<button onclick="resetModal()" class="btn btn-default btn-lg pull-right mb-control-close">Close</button>
			</div>
		</div>
	</div>
</div>

<button id="btn-e-array" style="display:none" class="btn btn-default mb-control" data-box="#message-box-danger-array"></button>
<div class="message-box message-box-danger animated fadeIn" data-sound="fail" id="message-box-danger-array">
	<div class="mb-container">
		<div class="mb-middle">
			<div class="mb-title">
				<span class="fa fa-times"></span> Error </div>
			<div class="mb-content">
				<div id="message-btn-e-array"><ul></ul></div>
			</div>
			<div class="mb-footer">
				<button onclick="resetModal()" class="btn btn-default btn-lg pull-right mb-control-close">Close</button>
			</div>
		</div>
	</div>
</div>

<div class="message-box animated fadeIn" data-sound="alert" id="mb-signout">
    <div class="mb-container">
        <div class="mb-middle">
            <div class="mb-title"><span class="fa fa-sign-out"></span> Log <strong>Out</strong> ?</div>
            <div class="mb-content">
                <p>Are you sure you want to log out ?</p>
                <p>Press No if youwant to continue work. Press Yes to logout current user.</p>
            </div>
            <div class="mb-footer">
                <div class="pull-right">
                    {!! Form::open(['url' => route('logout'), 'method' => 'POST']) !!}
                    <button type="submit" class="btn btn-success btn-lg">Yes</button>
                    <button class="btn btn-default btn-lg mb-control-close">No</button>
                    {!! Form::close() !!}
                </div>
            </div>
        </div>
    </div>
</div>

resources/views/admin/layouts/app.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
    <title>{{ $title }}</title>
    <meta http-equiv=" Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <link rel="icon" href="{{ asset('bola.png') }}" type="image/x-icon" />
    <link rel="stylesheet" type="text/css" id="theme" href="{{ asset('admin/css/theme-default.css') }}" />

</head>

<body>
    <div class="page-container page-navigation-top-fixed">
        <div class="page-sidebar page-sidebar-fixed scroll">

            <ul class="x-navigation">

                <li class="xn-logo">
                    <a>Futsal</a>
                    <a class="x-navigation-control"></a>
                </li>

                <li class="xn-profile">
                    <a class="profile-mini">
                        <img src="{{ asset('futsal.png') }}" alt="Avatar">
                    </a>
                    <div class="profile">
                        <div class="profile-image">
                            <img style="border:none" src="{{ asset('futsal.png') }}" alt="Avatar">
                        </div>
                        <div class="profile-data">
                            <div class="profile-data-name">{{ Auth::user()->name }}</div>
                            <div class="profile-data-title">{{ Auth::user()->email }}</div>
                            @role('member')
                            <a href="{{ route('change_password')}}" class="profile-control-right"><span
                                class="fa fa-lock"></span> Ganti Password</a>
                            @endrole
                        </div>
                        <div class="profile-controls">
                            @role('admin')
                            <a href="{{ url('admin/pembayaran/laporan') }}" class="profile-control-left"><span
                                    class="fa fa-bar-chart-o"></span></a>
                            
                            <a href="{{ route('change_password')}}" class="profile-control-right"><span
                                    class="fa fa-lock"></span></a>
                            @endrole
                        </div>
                    </div>
                </li>

                <li class="xn-title">Versi 1.0.0</li>
                {!! Html::mainMenu('home', url('admin/home'), 'fa fa-home', 'Beranda') !!}

                @role('admin')
                <li class="xn-openable pointer {{ set_active('master') }}">
                    <a>
                        <span class="fa fa-hdd-o"></span>
                        <span class="xn-text">Data Master</span>
                    </a>
                    <ul>
                        {!! Html::subMenu('users', route('users.index'), 'fa fa-user', 'Pengguna') !!}
                        {!! Html::subMenu('lapangan', route('lapangan.index'), 'fa fa-flag', 'Lapangan') !!}
                        {!! Html::subMenu('harga', route('harga.index'), 'fa fa-money', 'Harga') !!}
                    </ul>
                </li>

                <li class="xn-openable pointer {{ set_active('transaksi') }}">
                    <a>
                        <span class="fa fa-random"></span>
                        <span class="xn-text">Transaksi</span>
                    </a>
                    <ul>
                        {!! Html::subMenu('booking', route('booking.create', date('Y-m-d')), 'fa fa-book', 'Booking Lapangan') !!}
                        {!! Html::subMenu('booking_list', route('booking.index'), 'fa fa-list-alt', 'Daftar Booking') !!}
                        {!! Html::subMenu('tagihan', route('tagihan.index'), 'fa fa-money', 'Daftar Tagihan Member') !!}
                    </ul>
                </li>

                <li class="xn-openable pointer {{ set_active('pembayaran') }}">
                    <a>
                        <span class="fa fa-money"></span>
                        <span class="xn-text">Pembayaran</span>
                    </a>
                    <ul>
                        {!! Html::subMenu('laporan', route('pembayaran.laporan', date('Y')), 'fa fa-bar-chart-o', 'Laporan Pembayaran') !!}
                    </ul>
                </li>
                @endrole

            </ul>
        </div>

        <div class="page-content">
            <ul class="x-navigation x-navigation-horizontal x-navigation-panel">
                <li class="xn-icon-button">
                    <a class="x-navigation-minimize"><span class="fa fa-dedent"></span></a>
                </li>
                <li class="xn-icon-button pull-right">
                    <a class="mb-control pointer" data-box="#mb-signout">
                        <span class="fa fa-sign-out"></span>
                    </a>
                </li>
            </ul>
            @yield('content')
        </div>
        @include('admin.layouts._notif')
        @include('admin.layouts._modal')
    </div>

    <audio id="audio-alert" src="{{ asset('admin/audio/alert.mp3') }}" preload="auto"></audio>
    <audio id="audio-fail" src="{{ asset('admin/audio/fail.mp3') }}" preload="auto"></audio>

    <script type="text/javascript" src="{{ asset('admin/js/plugins/jquery/jquery.min.js') }}"></script>
    <script type="text/javascript" src="{{ asset('admin/js/plugins/jquery/jquery-ui.min.js') }}"></script>
    <script type="text/javascript" src="{{ asset('admin/js/plugins/bootstrap/bootstrap.min.js') }}"></script>
    <script type="text/javascript" src="{{ asset('admin/js/plugins/datatables/jquery.dataTables.min.js') }}"></script>
    <script type="text/javascript" src="{{ asset('admin/js/plugins/mcustomscrollbar/jquery.mCustomScrollbar.min.js')}}">
    </script>
    <script type='text/javascript' src="{{ asset('admin/js/plugins/maskedinput/jquery.maskedinput.min.js') }}"></script>
    <script type='text/javascript' src="{{ asset('admin/js/plugins/bootstrap/bootstrap-datepicker.js') }}"></script>
    <script type='text/javascript' src="{{ asset('admin/js/plugins/bootstrap/bootstrap-datepicker.js') }}"></script>
    <script type="text/javascript" src="{{ asset('admin/js/plugins/morris/raphael-min.js') }}"></script>
    <script type="text/javascript" src="{{ asset('admin/js/plugins/morris/morris.min.js') }}"></script>

    <script type="text/javascript" src="{{ asset('admin/js/plugins.js') }}"></script>
    <script type="text/javascript" src="{{ asset('admin/js/actions.js') }}"></script>

    <script type="text/javascript" src="{{ asset('js/custom.js') }}"></script>

    @yield('style')
    @yield('scripts')
</body>

<style>
    .pointer {
        cursor: pointer;
    }

    .row-bg {
        background: #f5f5f5 url('{{ url("admin/img/bg.png") }}') no-repeat;
    }

    .x-navigation>li.xn-logo>a:first-child {
        font-size: 25px;
        border-bottom: 0px;
        color: #FFF;
        height: 50px;
        text-align: center;
        background: #5c7572;
    }

    .x-navigation li.active>a {
        background: #5c7572;
        color: #fff;
        -webkit-transition: all 200ms ease;
        -moz-transition: all 200ms ease;
        -ms-transition: all 200ms ease;
        -o-transition: all 200ms ease;
        transition: all 200ms ease;
    }

    #datepicker {
        color: black;
        cursor: pointer;
    }
</style>

</html>